Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## avrora.sim.dbbc
Class DBBCInterpreter.Factory

    java.lang.Object
      avrora.sim.InterpreterFactory
          avrora.sim.dbbc.DBBCInterpreter.Factory

Enclosing class:
  DBBCInterpreter

public static final class DBBCInterpreter.Factory
extends InterpreterFactory

Field Summary
`protected DBBC` | `compiler`

Constructor Summary
`DBBCInterpreter.Factory(DBBC comp)`

Method Summary
`BaseInterpreter` | `newInterpreter(Simulator s, Program p, MicrocontrollerProperties pr)` The `newInterpreter()` method creates a new interpreter given the simulator, the program, and the properties of the microcontroller.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### compiler

    protected final DBBC compiler

Constructor Detail

### DBBCInterpreter.Factory

    public DBBCInterpreter.Factory(DBBC comp)

Method Detail

### newInterpreter

    public BaseInterpreter newInterpreter(Simulator s,
                                          Program p,
                                          MicrocontrollerProperties pr)

  Description copied from class: `InterpreterFactory`
  The `newInterpreter()` method creates a new interpreter given the simulator, the program, and the properties of the microcontroller.

  Specified by:
    `newInterpreter` in class `InterpreterFactory`
  Parameters:
    `s` - the simulator for which the interpreter is being created
    `p` - the program to load into the interpreter
    `pr` - the properties of the microcontroller
  Returns:
    a new instance of the `BaseInterpreter` class for the program

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD